| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Attributes | List of all members
_AR2VideoParamAndroidT Struct Reference

`#include <videoAndroidPrivate.h>`

Collaboration diagram for _AR2VideoParamAndroidT:
[legend]

## Public Attributes
char * | device_id
int | camera_index
int | width
int | height
AR_PIXEL_FORMAT | pixelFormat
int | convertToRGBA
float | focalLength
void(* | cparamSearchCallback )(const ARParam *, void *)
void * | cparamSearchUserdata
AR2VideoBufferT | buffer
bool | native
bool | capturing
pthread_mutex_t | frameLock
void(* | callback )(void *)
void * | userdata
int | position
volatile bool | cameraReady_
bool | cameraAvailable_
ACameraManager * | cameraMgr_
ACameraDevice * | cameraDevice_
ACameraManager_AvailabilityCallbacks | cameraAvailabilityCallbacks
int64_t | exposureTime_
int64_t | exposureRangeMin_
int64_t | exposureRangeMax_
int32_t | sensitivity_
int32_t | sensitivityRangeMin_
int32_t | sensitivityRangeMax_
int32_t | sensorRotation_
AImageReader * | imageReader_
ANativeWindow * | imageReaderNativeWindow_
AImage * | imageCheckedOutDownstream
AImage * | imageReady
ACaptureSessionOutput * | captureSessionOutput_
ACameraOutputTarget * | captureRequestTarget_
ACaptureRequest * | captureRequest_
ACaptureSessionOutputContainer * | captureSessionOutputContainer_
ACameraCaptureSession * | captureSession_
ARVideoAndroidCameraCaptureSessionState | cameraCaptureSessionState
int | captureRequestSessionSequenceId_

## Member Data Documentation

## ◆ buffer

AR2VideoBufferT _AR2VideoParamAndroidT::buffer

## ◆ callback

void(* _AR2VideoParamAndroidT::callback) (void *)

## ◆ camera_index

int _AR2VideoParamAndroidT::camera_index

## ◆ cameraAvailabilityCallbacks

ACameraManager_AvailabilityCallbacks _AR2VideoParamAndroidT::cameraAvailabilityCallbacks

## ◆ cameraAvailable_

bool _AR2VideoParamAndroidT::cameraAvailable_

## ◆ cameraCaptureSessionState

ARVideoAndroidCameraCaptureSessionState _AR2VideoParamAndroidT::cameraCaptureSessionState

## ◆ cameraDevice_

ACameraDevice* _AR2VideoParamAndroidT::cameraDevice_

## ◆ cameraMgr_

ACameraManager* _AR2VideoParamAndroidT::cameraMgr_

## ◆ cameraReady_

volatile bool _AR2VideoParamAndroidT::cameraReady_

## ◆ captureRequest_

ACaptureRequest* _AR2VideoParamAndroidT::captureRequest_

## ◆ captureRequestSessionSequenceId_

int _AR2VideoParamAndroidT::captureRequestSessionSequenceId_

## ◆ captureRequestTarget_

ACameraOutputTarget* _AR2VideoParamAndroidT::captureRequestTarget_

## ◆ captureSession_

ACameraCaptureSession* _AR2VideoParamAndroidT::captureSession_

## ◆ captureSessionOutput_

ACaptureSessionOutput* _AR2VideoParamAndroidT::captureSessionOutput_

## ◆ captureSessionOutputContainer_

ACaptureSessionOutputContainer* _AR2VideoParamAndroidT::captureSessionOutputContainer_

## ◆ capturing

bool _AR2VideoParamAndroidT::capturing

## ◆ convertToRGBA

int _AR2VideoParamAndroidT::convertToRGBA

## ◆ cparamSearchCallback

void(* _AR2VideoParamAndroidT::cparamSearchCallback) (const ARParam *, void *)

## ◆ cparamSearchUserdata

void* _AR2VideoParamAndroidT::cparamSearchUserdata

## ◆ device_id

char* _AR2VideoParamAndroidT::device_id

## ◆ exposureRangeMax_

int64_t _AR2VideoParamAndroidT::exposureRangeMax_

## ◆ exposureRangeMin_

int64_t _AR2VideoParamAndroidT::exposureRangeMin_

## ◆ exposureTime_

int64_t _AR2VideoParamAndroidT::exposureTime_

## ◆ focalLength

float _AR2VideoParamAndroidT::focalLength

## ◆ frameLock

pthread_mutex_t _AR2VideoParamAndroidT::frameLock

## ◆ height

int _AR2VideoParamAndroidT::height

## ◆ imageCheckedOutDownstream

AImage* _AR2VideoParamAndroidT::imageCheckedOutDownstream

## ◆ imageReader_

AImageReader* _AR2VideoParamAndroidT::imageReader_

## ◆ imageReaderNativeWindow_

ANativeWindow* _AR2VideoParamAndroidT::imageReaderNativeWindow_

## ◆ imageReady

AImage* _AR2VideoParamAndroidT::imageReady

## ◆ native

bool _AR2VideoParamAndroidT::native

## ◆ pixelFormat

AR_PIXEL_FORMAT _AR2VideoParamAndroidT::pixelFormat

## ◆ position

int _AR2VideoParamAndroidT::position

## ◆ sensitivity_

int32_t _AR2VideoParamAndroidT::sensitivity_

## ◆ sensitivityRangeMax_

int32_t _AR2VideoParamAndroidT::sensitivityRangeMax_

## ◆ sensitivityRangeMin_

int32_t _AR2VideoParamAndroidT::sensitivityRangeMin_

## ◆ sensorRotation_

int32_t _AR2VideoParamAndroidT::sensorRotation_

## ◆ userdata

void* _AR2VideoParamAndroidT::userdata

## ◆ width

int _AR2VideoParamAndroidT::width

The documentation for this struct was generated from the following file:

- Source/ARX/ARVideo/Android/videoAndroidPrivate.h